<!DOCTYPE html>
<html lang="en">
  <head>
    <title>MM</title>
    <link rel="stylesheet" href="styles/style.css">
    <link rel="stylesheet" href="styles/range-input.css">
    <!-- https://stackoverflow.com/questions/21355733/difference-between-and-http-->
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css">
  </head>
  <body>

    <div class="left">

      <div class="top">
        <div class="ui form">

          <div class="grouped fields">
            <label>Output</label>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="output" value="RGB">
                <label>RGB</label>
              </div>
            </div>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="output"
                  value="GREYSCALE">
                <label>Greyscale</label>
              </div>
            </div>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="output" value="BLACK_AND_WHITE">
                <label>B&W</label>
              </div>
            </div>
          </div>

          <div class="grouped fields">
            <label>JPG to Greyscale</label>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="greyscale_formula" value="BT_709"
                  checked="checked">
                <label>BT-709</label>
              </div>
            </div>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="greyscale_formula" value="BT_601">
                <label>BT-601</label>
              </div>
            </div>
            <div class="field">
              <div class="ui radio checkbox">
                <input type="radio" name="greyscale_formula" value="AVERAGE">
                <label>Average</label>
              </div>
            </div>
          </div>

          <div class="fields grouped">
            <div class="field">
              <label class="no-margin">Threshold</label>
              <input type="range" name="threshold" min="1" max="100" class="custom-range-input">
            </div>
            <div class="ui checkbox">
              <input type="checkbox" name="invert">
              <label>Invert</label>
            </div>
            <div class="ui color-picker">
              <input type="color" name="left_one_color">
            </div>
          </div>

          <div class="margin-right">
            <button class="ui icon button mini" id="upload-btn">
              <i class="upload icon"></i>
            </button>
            <button class="ui icon button mini" id="submit-btn">
              <i class="check icon"></i>
            </button>
          </div>

        </div>

      </div>

      <div class="bottom">
        <span class="canvas-actions-left"></span>
        <canvas id="canvas"></canvas>
      </div>

    </div>

    <div class="right">

      <div class="top">

        <div class="ui form">

          <div class="controls-right">
            <div class="grouped fields">
              <label>Strel</label>
              <div class="field">
                <div class="ui radio checkbox">
                  <input type="radio" name="strel" value="CIRCLE">
                  <label>Circle</label>
                </div>
              </div>
              <div class="field">
                <div class="ui radio checkbox">
                  <input type="radio" name="strel" value="RECTANGLE">
                  <label>Rectangle</label>
                </div>
              </div>
              <div class="field">
                <div class="ui radio checkbox">
                  <input type="radio" name="strel" value="CUSTOM">
                  <label>Custom</label>
                </div>
              </div>
            </div>

            <div class="fields grouped" id="circle-sliders">
              <div class="field">
                <label class="no-margin">Radius</label>
                <input type="range" name="radius" min="1" max="20" class="custom-range-input">
              </div>
            </div>

            <div class="fields grouped" id="rectangle-sliders">
              <div class="field">
                <label class="no-margin">Width</label>
                <input type="range" name="width" min="1" max="21" class="custom-range-input" step="1">
              </div>
              <div class="field">
                <label class="no-margin">Height</label>
                <input type="range" name="height" min="1" max="21" class="custom-range-input" step="1">
              </div>
            </div>

            <div class="ui color-picker">
              <input type="color" name="right_one_color">
            </div>
            <div class="ui color-picker">
              <input type="number" name="delay" min="10" max="2000">
            </div>
          </div>

          <div class="margin-right ui buttons buttons-right">
            <button class="ui icon primary button mini" id="erosion-btn" data-tooltip="Erode" data-position="bottom center">&ominus;</button>
            <button class="ui icon primary button mini" id="dilation-btn" data-tooltip="Dilate" data-position="bottom center">&oplus;</button>
            <button class="ui icon primary button mini" id="opening-btn" data-tooltip="Open" data-position="bottom center">&cir;</button>
            <button class="ui icon primary button mini" id="closing-btn" data-tooltip="Close" data-position="bottom center">&bullet;</button>
            <button class="ui icon primary button mini" id="tophat-btn" data-tooltip="Tophat white" data-position="bottom center">T</button>
            <button class="ui icon primary button mini" id="gradient-btn" data-tooltip="Gradient">G</button>
            <button class="ui icon primary button mini" id="diff-btn">R = R - L</button>
            <button class="ui icon primary button mini" id="rgb-diff-btn">L = L - R</button>
            <button class="ui icon primary button mini" id="strel-btn" data-tooltip="Structuring element">SE</button>
            <button class="ui icon primary button mini" id="strel2-btn" data-tooltip="Structuring element 2">SE2</button>
            <button class="ui icon primary button mini" id="hit-or-miss-btn" data-tooltip="Hit-or-Miss transform">HMT</button>
            <button class="ui icon primary button mini" id="hit-or-miss-opening-btn" data-tooltip="Hit-or-Miss Opening">HMO</button>
            <button class="ui icon primary basic button mini" id="erosion-animation-btn" data-tooltip="Erosion animation">EA</button>
            <button class="ui icon primary basic button mini" id="dilation-animation-btn" data-tooltip="Dilation animation">DA</button>
            <button class="ui icon secondary button mini" id="greyscale-erosion-btn" data-tooltip="Erode greyscale" data-position="bottom center">&ominus;</button>
            <button class="ui icon secondary button mini" id="greyscale-dilation-btn" data-tooltip="Dilate greyscale" data-position="bottom center">&oplus;</button>
            <button class="ui icon secondary button mini" id="greyscale-opening-btn" data-tooltip="Open greyscale" data-position="bottom center">&cir;</button>
            <button class="ui icon secondary button mini" id="greyscale-closing-btn" data-tooltip="Close greyscale" data-position="bottom center">&bullet;</button>
            <button class="ui icon button mini" id="strel-upload-btn">U</button>
          </div>

        </div>

      </div>


      <div class="bottom">
        <span class="canvas-actions-right"></span>
        <canvas id="canvas-2"></canvas>
      </div>

    </div>

    <script src="/bundle.js"></script>

  </body>
</html>
